Index: src/cpu/via/model_c3/Kconfig
===================================================================
--- src/cpu/via/model_c3/Kconfig	(Revision 5052)
+++ src/cpu/via/model_c3/Kconfig	(Arbeitskopie)
@@ -1,2 +1,3 @@
 config CPU_VIA_C3
 	bool
+	select UDELAY_TSC
Index: src/cpu/amd/sc520/Kconfig
===================================================================
--- src/cpu/amd/sc520/Kconfig	(Revision 5052)
+++ src/cpu/amd/sc520/Kconfig	(Arbeitskopie)
@@ -6,3 +6,7 @@
 	default n
 	depends on CPU_AMD_SC520
 
+config HAVE_INIT_TIMER
+	bool
+	default n
+	depends on CPU_AMD_SC520
Index: src/cpu/intel/socket_mPGA604/Kconfig
===================================================================
--- src/cpu/intel/socket_mPGA604/Kconfig	(Revision 5052)
+++ src/cpu/intel/socket_mPGA604/Kconfig	(Arbeitskopie)
@@ -5,3 +5,4 @@
 	select CPU_INTEL_MODEL_F4X
 	select MMX
 	select SSE
+	select UDELAY_TSC
Index: src/cpu/intel/socket_PGA370/Kconfig
===================================================================
--- src/cpu/intel/socket_PGA370/Kconfig	(Revision 5052)
+++ src/cpu/intel/socket_PGA370/Kconfig	(Arbeitskopie)
@@ -21,3 +21,4 @@
 config CPU_INTEL_SOCKET_PGA370
 	bool
 	select MMX
+	select UDELAY_TSC
Index: src/mainboard/iwill/dk8_htx/Makefile.inc
===================================================================
--- src/mainboard/iwill/dk8_htx/Makefile.inc	(Revision 5052)
+++ src/mainboard/iwill/dk8_htx/Makefile.inc	(Arbeitskopie)
@@ -30,10 +30,10 @@
 obj-$(CONFIG_GENERATE_ACPI_TABLES) += fadt.o
 
 # ./ssdt.o is in northbridge/amd/amdk8/Config.lb
-obj-$(CONFIG_ACPI_SSDTX_NUM) += ssdt2.o
-obj-$(CONFIG_ACPI_SSDTX_NUM) += ssdt3.o
-obj-$(CONFIG_ACPI_SSDTX_NUM) += ssdt4.o
-obj-$(CONFIG_ACPI_SSDTX_NUM) += ssdt5.o
+obj-y += ssdt2.o
+obj-y += ssdt3.o
+obj-y += ssdt4.o
+obj-y += ssdt5.o
 
 # This is part of the conversion to init-obj and away from included code.
 
@@ -55,31 +55,31 @@
 ifdef POST_EVALUATION
 
 $(obj)/dsdt.c: $(src)/mainboard/$(MAINBOARDDIR)/dx/dsdt_lb.dsl
-	iasl -p dsdt -tc $(src)/mainboard/$(MAINBOARDDIR)/dx/dsdt_lb.dsl
-	mv dsdt.hex $@
+	iasl -p $(obj)/dsdt -tc $(src)/mainboard/$(MAINBOARDDIR)/dx/dsdt_lb.dsl
+	mv $(obj)/dsdt.hex $@
 
 $(obj)/mainboard/$(MAINBOARDDIR)/dsdt.o: $(obj)/dsdt.c
 	$(CC) $(DISTRO_CFLAGS) $(CFLAGS) $(CPPFLAGS) $(DEBUG_CFLAGS) -I$(src) -I. -c $< -o $@
 
-$(obj)/ssdt2.c: $(src)/mainboard/$(MAINBOARDDIR)/dx/pci2.asl
-	iasl -p $(CURDIR)/pci2 -tc $(CONFIG_MAINBOARD)/dx/pci2.asl
-	perl -pi -e 's/AmlCode/AmlCode_ssdt2/g' pci2.hex
-	mv pci2.hex ssdt2.c
+$(obj)/mainboard/$(MAINBOARDDIR)/ssdt2.c: $(src)/mainboard/$(MAINBOARDDIR)/dx/pci2.asl
+	iasl -p $(obj)/pci2 -tc $(src)/mainboard/$(MAINBOARDDIR)/dx/pci2.asl
+	perl -pi -e 's/AmlCode/AmlCode_ssdt2/g' $(obj)/pci2.hex
+	mv $(obj)/pci2.hex $@
 
-$(obj)/ssdt3.c: $(src)/mainboard/$(MAINBOARDDIR)/dx/pci3.asl"
-	iasl -p $(CURDIR)/pci3 -tc $(CONFIG_MAINBOARD)/
-	perl -pi -e 's/AmlCode/AmlCode_ssdt3/g' pci3.hex
-	mv pci3.hex ssdt3.c
+$(obj)/mainboard/$(MAINBOARDDIR)/ssdt3.c: $(src)/mainboard/$(MAINBOARDDIR)/dx/pci3.asl
+	iasl -p $(obj)/pci3 -tc $(src)/mainboard/$(MAINBOARDDIR)/dx/pci3.asl
+	perl -pi -e 's/AmlCode/AmlCode_ssdt3/g' $(obj)/pci3.hex
+	mv $(obj)/pci3.hex $@
 
-$(obj)/ssdt4.c: $(src)/mainboard/$(MAINBOARDDIR)/dx/pci4.asl"
-	iasl -p $(CURDIR)/pci4 -tc $(CONFIG_MAINBOARD)/dx/pci4.asl
-	perl -pi -e 's/AmlCode/AmlCode_ssdt4/g' pci4.hex
-	mv pci4.hex ssdt4.c
+$(obj)/mainboard/$(MAINBOARDDIR)/ssdt4.c: $(src)/mainboard/$(MAINBOARDDIR)/dx/pci4.asl
+	iasl -p $(obj)/pci4 -tc $(src)/mainboard/$(MAINBOARDDIR)/dx/pci4.asl
+	perl -pi -e 's/AmlCode/AmlCode_ssdt4/g' $(obj)/pci4.hex
+	mv $(obj)/pci4.hex $@
 
-$(obj)/ssdt5.c: $(src)/mainboard/$(MAINBOARDDIR)/dx/pci5.asl"
-	iasl -p $(CURDIR)/pci4 -tc $(CONFIG_MAINBOARD)/dx/pci5.asl
-	perl -pi -e 's/AmlCode/AmlCode_ssdt5/g' pci5.hex
-	mv pci5.hex ssdt5.c
+$(obj)/mainboard/$(MAINBOARDDIR)/ssdt5.c: $(src)/mainboard/$(MAINBOARDDIR)/dx/pci5.asl
+	iasl -p $(obj)/pci5 -tc $(src)/mainboard/$(MAINBOARDDIR)/dx/pci5.asl
+	perl -pi -e 's/AmlCode/AmlCode_ssdt5/g' $(obj)/pci5.hex
+	mv $(obj)/pci5.hex $@
 
 $(obj)/mainboard/$(MAINBOARDDIR)/auto.inc: $(src)/mainboard/$(MAINBOARDDIR)/cache_as_ram_auto.c $(obj)/option_table.h
 	$(CC) $(DISTRO_CFLAGS) $(CFLAGS) $(CPPFLAGS) $(DEBUG_CFLAGS) -I$(src) -I. -c -S  $(src)/mainboard/$(MAINBOARDDIR)/cache_as_ram_auto.c -o $@
Index: src/mainboard/digitallogic/adl855pc/Kconfig
===================================================================
--- src/mainboard/digitallogic/adl855pc/Kconfig	(Revision 5052)
+++ src/mainboard/digitallogic/adl855pc/Kconfig	(Arbeitskopie)
@@ -6,7 +6,6 @@
 	select SOUTHBRIDGE_INTEL_I82801DBM
 	select SUPERIO_WINBOND_W83627HF
 	select HAVE_PIRQ_TABLE
-	select UDELAY_TSC
 	select BOARD_ROMSIZE_KB_1024
 
 config MAINBOARD_DIR
Index: src/mainboard/amd/serengeti_cheetah/Makefile.inc
===================================================================
--- src/mainboard/amd/serengeti_cheetah/Makefile.inc	(Revision 5052)
+++ src/mainboard/amd/serengeti_cheetah/Makefile.inc	(Arbeitskopie)
@@ -30,9 +30,9 @@
 obj-$(CONFIG_GENERATE_ACPI_TABLES) += fadt.o
 
 # ./ssdt.o is in northbridge/amd/amdk8/Config.lb
-obj-$(CONFIG_ACPI_SSDTX_NUM) += ssdt2.o
-obj-$(CONFIG_ACPI_SSDTX_NUM) += ssdt3.o
-obj-$(CONFIG_ACPI_SSDTX_NUM) += ssdt4.o
+obj-y += ssdt2.o
+obj-y += ssdt3.o
+obj-y += ssdt4.o
 driver-y += ../../../drivers/i2c/i2cmux/i2cmux.o
 
 # This is part of the conversion to init-obj and away from included code.
@@ -55,26 +55,26 @@
 ifdef POST_EVALUATION
 
 $(obj)/dsdt.c: $(src)/mainboard/$(MAINBOARDDIR)/dx/dsdt_lb.dsl
-	iasl -p dsdt -tc $(src)/mainboard/$(MAINBOARDDIR)/dx/dsdt_lb.dsl
-	mv dsdt.hex $@
+	iasl -p $(obj)/dsdt -tc $(src)/mainboard/$(MAINBOARDDIR)/dx/dsdt_lb.dsl
+	mv $(obj)/dsdt.hex $@
 
 $(obj)/mainboard/$(MAINBOARDDIR)/dsdt.o: $(obj)/dsdt.c
 	$(CC) $(DISTRO_CFLAGS) $(CFLAGS) $(CPPFLAGS) $(DEBUG_CFLAGS) -I$(src) -I. -c $< -o $@
 
-$(obj)/ssdt2.c: $(src)/mainboard/$(MAINBOARDDIR)/dx/pci2.asl
-	iasl -p $(CURDIR)/pci2 -tc $(CONFIG_MAINBOARD)/dx/pci2.asl
-	perl -pi -e 's/AmlCode/AmlCode_ssdt2/g' pci2.hex
-	mv pci2.hex ssdt2.c
+$(obj)/mainboard/$(MAINBOARDDIR)/ssdt2.c: $(src)/mainboard/$(MAINBOARDDIR)/dx/pci2.asl
+	iasl -p $(obj)/pci2 -tc $(src)/mainboard/$(MAINBOARDDIR)/dx/pci2.asl
+	perl -pi -e 's/AmlCode/AmlCode_ssdt2/g' $(obj)/pci2.hex
+	mv $(obj)/pci2.hex $@
 
-$(obj)/ssdt3.c: $(src)/mainboard/$(MAINBOARDDIR)/dx/pci3.asl"
-	iasl -p $(CURDIR)/pci3 -tc $(CONFIG_MAINBOARD)/
-	perl -pi -e 's/AmlCode/AmlCode_ssdt3/g' pci3.hex
-	mv pci3.hex ssdt3.c
+$(obj)/mainboard/$(MAINBOARDDIR)/ssdt3.c: $(src)/mainboard/$(MAINBOARDDIR)/dx/pci3.asl
+	iasl -p $(obj)/pci3 -tc $(src)/mainboard/$(MAINBOARDDIR)/dx/pci3.asl
+	perl -pi -e 's/AmlCode/AmlCode_ssdt3/g' $(obj)/pci3.hex
+	mv $(obj)/pci3.hex $@
 
-$(obj)/ssdt4.c: $(src)/mainboard/$(MAINBOARDDIR)/dx/pci4.asl"
-	iasl -p $(CURDIR)/pci4 -tc $(CONFIG_MAINBOARD)/dx/pci4.asl
-	perl -pi -e 's/AmlCode/AmlCode_ssdt4/g' pci4.hex
-	mv pci4.hex ssdt4.c
+$(obj)/mainboard/$(MAINBOARDDIR)/ssdt4.c: $(src)/mainboard/$(MAINBOARDDIR)/dx/pci4.asl
+	iasl -p $(obj)/pci4 -tc $(src)/mainboard/$(MAINBOARDDIR)/dx/pci4.asl
+	perl -pi -e 's/AmlCode/AmlCode_ssdt4/g' $(obj)/pci4.hex
+	mv $(obj)/pci4.hex $@
 
 $(obj)/mainboard/$(MAINBOARDDIR)/auto.inc: $(src)/mainboard/$(MAINBOARDDIR)/cache_as_ram_auto.c $(obj)/option_table.h
 	$(CC) $(DISTRO_CFLAGS) $(CFLAGS) $(CPPFLAGS) $(DEBUG_CFLAGS) -I$(src) -I. -c -S  $(src)/mainboard/$(MAINBOARDDIR)/cache_as_ram_auto.c -o $@
Index: src/mainboard/iei/pcisa-lx-800-r10/Kconfig
===================================================================
--- src/mainboard/iei/pcisa-lx-800-r10/Kconfig	(Revision 5052)
+++ src/mainboard/iei/pcisa-lx-800-r10/Kconfig	(Arbeitskopie)
@@ -7,7 +7,6 @@
 	select SUPERIO_WINBOND_W83627HF
 	select HAVE_PIRQ_TABLE
 	select PIRQ_ROUTE
-	select UDELAY_TSC
 	select USE_DCACHE_RAM
 	select USE_PRINTK_IN_CAR
 	select BOARD_ROMSIZE_KB_256
Index: src/mainboard/iei/juki-511p/Kconfig
===================================================================
--- src/mainboard/iei/juki-511p/Kconfig	(Revision 5052)
+++ src/mainboard/iei/juki-511p/Kconfig	(Arbeitskopie)
@@ -27,7 +27,6 @@
 	select SUPERIO_WINBOND_W83977F
 	select PIRQ_ROUTE
 	select HAVE_OPTION_TABLE
-	select UDELAY_TSC
 	select BOARD_ROMSIZE_KB_256
 
 config MAINBOARD_DIR
Index: src/mainboard/msi/ms6178/Kconfig
===================================================================
--- src/mainboard/msi/ms6178/Kconfig	(Revision 5052)
+++ src/mainboard/msi/ms6178/Kconfig	(Arbeitskopie)
@@ -26,7 +26,6 @@
 	select SOUTHBRIDGE_INTEL_I82801XX
 	select SUPERIO_WINBOND_W83627HF
 	select HAVE_PIRQ_TABLE
-	select UDELAY_IO
 	select BOARD_ROMSIZE_KB_512
 
 config MAINBOARD_DIR
